**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots/create-sandbox-snapshot

# Create Sandbox Snapshot

Create a new sandbox snapshot for the indicated sandbox Vault.

<Endpoint path="/api/{version}/objects/sandbox/snapshot" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/x-www-form-urlencoded` |
</FieldTable>

## Body Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `source_sandbox`<Requiredness type="required" /> | The name of the sandbox Vault to take a snapshot of. |
| `name`<Requiredness type="required" /> | The name of the new snapshot. |
| `description`<Requiredness type="optional" /> | The description of the new snapshot. |
| `include_data`<Requiredness type="optional" /> | Set to `true` to include data as part of the snapshot. Set to `false` to include only configuration. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source_sandbox=Sandbox1" \
-d "name=Snapshot1" \
-d "description=First snapshot of a sandbox." \
-d "include_data=false" \
https://myvault.veevavault.com/api/v22.3/objects/sandbox/snapshot
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "job_id": 165944,
    "url": "/api/v22.3/services/jobs/165944"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `job_id` | The Job ID value to retrieve the status and results of the snapshot creation request. |
| `url` | URL to retrieve the current status of the snapshot creation request. |
</FieldTable>

---

**Previous:** [Sandbox Snapshots](/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots)  
**Next:** [Retrieve Sandbox Snapshots](/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots)